%define pyver %(%{__python} -c "import sys; print sys.version[:3]")

Name:           savon
Version:        0.1.0.1
Release:        0.20111110.090914%{?dist}
Summary:        System administration version control
Source:         %{name}-%{version}.tar.bz2
License:        GPL
Group:          Applications/Archiving
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  pysvn

%{expand:%%define frel %(test -e /etc/fedora-release && perl -p -e 's@\D+([0-9\.]+)\D+@$1@' /etc/fedora-release || echo 0)}
%{expand:%%define buildforfc5 %(expr %{frel} == 5)}
%{expand:%%define atleastf15 %(expr %{frel} \>= 15)}

%if %{atleastf15}
BuildRequires:  subversion-python
%else
BuildRequires:  subversion
%endif

%if %{buildforfc5}
Requires:       libselinux-python >= 1.30.3
%endif

Requires:       pysvn
Requires:       subversion
Requires:       rsync


%description
savon allows you to store parts of your file system in a Subversion
repository, using svn properties to store ownership and permissions.

%prep

%setup -q
%configure

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README HACKING NEWS ChangeLog
#%doc savon.doap RELEASE
%{_bindir}/savon
%{_libdir}/python*.*/site-packages/savon
%{_sysconfdir}/bash_completion.d/savon

%changelog
* Sun Apr 01 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- add buildrequires so we can build the bash completion file

* Sat Mar 04 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- initial package
